For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Zero Authorization

POST
https://api-sandbox.coinflow.cash/api/checkout/zero-authorization/:merchantId
POST
/api/checkout/zero-authorization/:merchantId
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/zero-authorization/merchantId \
> -H "x-coinflow-auth-session-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "card": {
> "cardToken": "tok_1Hh1YZ2eZvKYlo2C3X9a7b8f",
> "expYear": "27",
> "expMonth": "09",
> "email": "jane.doe@example.com",
> "firstName": "Jane",
> "lastName": "Doe",
> "address1": "123 Maple Street",
> "city": "Springfield",
> "country": "US"
> }
>}'
1{
2 "paymentId": "pay_5f8d7a9b3c2e4d1f9a0b1234",
3 "authorizationExpiration": "2024-07-15T18:30:00Z"
4}

Performs an Authorization transaction on a Card for $0.00 to be validated and stored for future use.

This endpoint can only be used if the customer is actively involved in the purchase flow and has explicitly granted their authorization to charge their card.

Was this page helpful?
Previous

Add Bank Account

Next
Built with

Authentication

x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Path parameters

merchantIdstringRequired

Headers

x-device-idstringOptional
x-coinflow-client-ipstringOptional

Request

This endpoint expects an object.
ZeroAuthorizationCheckoutArgsNewCardWithoutReasonobjectRequired
OR
ZeroAuthorizationCheckoutArgsSavedCardWithoutReasonobjectRequired

Response

Ok
paymentIdstring
The ID of the payment that was created.
authorizationExpirationstring

The datetime when this authorization expires and subsequent card-on-file or merchant-initiated transactions can no longer be made. After this time, the card must be re-authorized via another zero-authorization or CIT transaction.

Errors

403
Forbidden Error
410
Gone Error
412
Precondition Failed Error

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key